/**Form Element**/
.form_element, fieldset{
    position: relative;
    margin-bottom: 2em;
}

.form_element.radio_element, .form_element.checkbox_element{
    margin-bottom: 1em;
}

.form_element:last-child, fieldset:last-child{
    margin-bottom: 0;
}

/**Field Styling**/
.form_element input:not([type="checkbox"]):not([type="radio"]):not([type="submit"]), .form_element textarea, .form_element select, .form_element ul.tagit{
    border: 0;
    border: 1px solid #fff;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    width: 100%;
    font-size: 1em;
    line-height: 1.6em;
    background: #fff;
    color: #000;
    padding: 0.6em 1em;
    font-weight: 300;
}

.form_element input:not([type="checkbox"]):not([type="radio"]):not([type="submit"]), .form_element textarea{
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
}

.form_element textarea{
    resize: vertical;
}

.form_element select{
    -moz-appearance: none;
    -webkit-border-radius: 0;
    -webkit-appearance: none;
    cursor: pointer;
    text-indent: 0.01px;
    text-overflow: "";
    padding: 0.616em 1em;
}

select::-ms-expand {
    display: none;
}

.form_element input[type=number] {
    -moz-appearance: textfield;
    -webkit-appearance: none;
    margin: 0;
}

.form_element .money_field_wrap, .form_element .percentage_field_wrap, .form_element .dropdown_field_wrap{
    position: relative;
    display: block;
}

.form_element .money_field_wrap:before, .form_element .percentage_field_wrap:after, .form_element .dropdown_field_wrap:after{
    position: absolute;
    top: 50%;
    margin-top: -0.5em;
    pointer-events: none;
    line-height: 1em;
}
/**Field Focus**/
.form_element input:not([type="checkbox"]):not([type="radio"]):not([type="submit"]):focus, .form_element textarea:focus, .form_element select:focus, .form_element ul.tagit.focused{
    /*border-color: #d9392e;*/
    -webkit-box-shadow: rgba(0, 0, 0, 0.5) 0px 1px 1px;
    -moz-box-shadow: rgba(0, 0, 0, 0.5) 0px 1px 1px;
    box-shadow: rgba(0, 0, 0, 0.5) 0px 1px 1px;
    behavior: url('external/css/PIE-1.0.0/PIE.htc');
}

.form_element.read_only input:not([type="checkbox"]):not([type="radio"]):not([type="submit"]):focus, .form_element.read_only textarea:focus, .form_element.read_only select:focus, .form_element.read_only ul.tagit.focused{
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}
/**Field Errors**/
.form_element.error input:not([type="checkbox"]):not([type="radio"]):not([type="submit"]), .form_element.error textarea, .form_element.error select, .form_element.error ul.tagit{
    border-color: #d9392e;
    -webkit-box-shadow: inset #ff0000 0px 0px 8px;
    -moz-box-shadow: inset #ff0000 0px 0px 8px;
    box-shadow: inset #ff0000 0px 0px 8px;
    behavior: url('external/css/PIE-1.0.0/PIE.htc');
}

/**Submit Buttons**/
.form_element input[type='submit']{
    display:-moz-inline-stack;
    display:inline-block;
    zoom:1;
    *display:inline;
    cursor: pointer;
    font-size: 1em;
}

.form_element input[type="submit"]::-moz-focus-inner ,.form_element input[type="reset"]::-moz-focus-inner {
    border:0;
}

.submit_btn, .reset_btn, .browse_computer, .other_btn{
    display:-moz-inline-stack;
    display:inline-block;
    zoom:1;
    *display:inline;
    cursor: pointer;
    background: #005588;
    color: #fff;
    font-weight: 700;
    font-size: 1.14em;
    text-transform: uppercase;    
    padding: 0.5em 0.6em;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}

.submit_btn .icon_wrap, .submit_btn .btn_text{
    display:-moz-inline-stack;
    display:inline-block;
    zoom:1;
    *display:inline;
}

.submit_btn .icon_wrap, .other_btn .icon_wrap{
    margin-right: 0.5em;
}

.browse_computer{
    background: #808080;
}

.browse_computer.disabled{
    display: none;
}

.reset_btn, .submit_btn.gray, .other_btn.gray, .submit_btn.disabled{
    background: #A0A0A0;
}

.submit_btn.disabled{
    cursor: default;
    color: #ccc;
}

input[type="submit"]{
    display: none;
}

/**Disabled/Read Only Fields**/
.form_element.read_only input:not([type="checkbox"]):not([type="radio"]):not([type="submit"]), .form_element.read_only textarea, .form_element.read_only select, .form_element.read_only ul.tagit{
    background: #e9e5e4;
    border-color: #e9e5e4;
    color: #808080;
    cursor: default;
}

.form_element.read_only .money_field_wrap:before, .form_element.read_only .percentage_field_wrap:after, .form_element.read_only .dropdown_field_wrap:after{
    color: #808080;
}

.form_element.read_only .option_group, .form_element.read_only label, .form_element.read_only .options_wrap .radio_box, .form_element.read_only .options_wrap .checkbox_box{
    cursor: default !important;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=80)";
    filter: alpha(opacity=80);
    -moz-opacity: 0.8;
    -khtml-opacity: 0.8;
    opacity: 0.8;
}

.form_element input:disabled:not([type="checkbox"]):not([type="radio"]):not([type="submit"]), .option_group.disabled, label.disabled{
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=50)";
    filter: alpha(opacity=50);
    -moz-opacity: 0.5;
    -khtml-opacity: 0.5;
    opacity: 0.5;
    cursor: default;
}

/**Field Labels and Fieldsets**/
.form_element label{
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}

.form_element label.main{
    position: relative;
    display: block;
    font-size: 1em;
    font-weight: 700;
    color: #808080;
    margin-bottom: 1em;
    text-shadow: 0px 2px 0px #fff;
}

.form_element.hide_label label.main{
    display: none;
}

.form_element label.main.required:after, .form_element.fake_required label.main:after{
    content: '*';
    /*color: #d9392e;*/
    color: #005588;
    font-weight: 800;
    margin-left: 0.2em;
}

.options_wrap label input[type="radio"][disabled] + .radio_box, .options_wrap label input[type="checkbox"][disabled] + .checkbox_box{  
    cursor: default;
}

.option_group.disabled label .radio_label, .option_group.disabled label .checkbox_label, label.disabled .radio_label, label.disabled .checkbox_label{
    cursor: default !important;
}

.form_element label.main, fieldset legend{
    font-size: 1em;
    font-weight: 700;
    color: #808080;
    margin-bottom: 0.5em;
    text-shadow: 0px 2px 0px #fff;
}

fieldset .form_element label.main{
    font-weight: 300;
}

fieldset{
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 2em 0;
    border-bottom: 1px solid #a0a0a0;
    border-top: 1px solid #a0a0a0;
    z-index: 1;
}

fieldset:after{
    content: '';
    display: block;
    position: absolute;
    top: 0;
    bottom: -2px;
    left: 0;
    width: 100%;
    border-top: 1px solid #fff;
    border-bottom: 1px solid #fff;
    z-index: -1;
}

fieldset:last-child{
    margin-bottom: 0;
}

fieldset legend{
    margin-bottom: 0;
    padding-right: 1em;
    display:-moz-inline-stack;
    display:inline-block;
    zoom:1;
    *display:inline;
    color: #005588;
    background: #dfdad8;
    position: absolute;
    left: 0;
    top: -0.6em;
}
/**Money, Percentage, and Dropdown Fields**/
.form_element .dropdown_field_wrap:after{
    content: '';
    margin-top: -0.2em;
    width: 0; 
    height: 0; 
    border-left: 0.8em solid transparent;
    border-right: 0.8em solid transparent;
    border-top: 0.8em solid #808080;
    right: 1em;
}

.form_element.focused .dropdown_field_wrap:after{
    border-bottom: 0.8em solid #808080;
    border-top: none;
}

.form_element .percentage_field_wrap:after{
    content: '%';
    right: 0.5em;
}

.form_element .money_field_wrap:before{
    content: '$';
    left: 0.5em;
}

.form_element .money_field_wrap input{
    padding-left: 1.2em !important;
}

.form_element .percentage_field_wrap input{
    padding-right: 1.3em !important;
}

.form_element .dropdown_field_wrap select{
    padding-right: 3.2em !important;
    text-overflow: ellipsis;
}

.percentage_field{
    text-align: right;
}

.form_element .money_field_wrap.currency_gbp:before{
    content: '\00A3';
}

.form_element .money_field_wrap.currency_generic:before{
    content: '\00A4';
}

.form_element .money_field_wrap.currency_yen:before{
    content: '\00A5';
}

.form_element .money_field_wrap.currency_eur:before{
    content: '\20AC';
}

/**Field Description and Other Content**/
.form_element .field_description, .form_element .field_error{
    font-size: 0.8em;
    font-style: italic;
    margin-top: 0.5em;
}

.form_element .field_description a{
    float: right;
    color: #005588;
    font-weight: 600;
}

.form_element .field_error{    
    color: #d9392e;
}

/**Field Options**/
.option_group{
    margin-bottom: 2em;
}

.option_group:last-child{
    margin-bottom: 0;
}

.options_wrap:after, .option_group:after{
    clear: both;
    content: '';
    display: block;
}

.options_wrap .option_group_title{
    margin-bottom: 0.5em;
    font-size: 1em;
    line-height: 1em;
    width: 100%;
    font-style: italic;
}

.options_wrap label{
    margin-right: 1em;
    margin-bottom: 1em;
    position: relative;  
    vertical-align: top;
    display: table;
    float: left;    
}

.options_wrap label:last-child{
    margin-bottom: 0;
}

.options_wrap input[type="radio"].gi_styled, .options_wrap input[type="checkbox"].gi_styled{
    display: none;
}

.options_wrap label .radio_box, .options_wrap label .checkbox_box{
    border: 2px solid #808080;
    background: #dfdad8;
    -webkit-box-shadow: #fff 0px 2px 0px;
    -moz-box-shadow: #fff 0px 2px 0px;
    box-shadow: #fff 0px 2px 0px;
    behavior: url('external/css/PIE-1.0.0/PIE.htc');
    width: 20px;
    height: 20px;
    display:-moz-inline-stack;
    display:inline-block;
    zoom:1;
    *display:inline;
    vertical-align: middle;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    position: relative;
    cursor: pointer;
}

.options_wrap label .radio_box{
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;    
    behavior: url('external/css/PIE-1.0.0/PIE.htc');
}

.options_wrap label input[type="radio"] + .radio_box:before, .options_wrap label input[type="checkbox"] + .checkbox_box:before{
    content: '';
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 10px;
    height: 10px;
    margin-top: -5px;
    margin-left: -5px;
}

.options_wrap label input[type="radio"] + .radio_box:before{
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;    
    behavior: url('external/css/PIE-1.0.0/PIE.htc');
}

.options_wrap label input[type="radio"]:checked + .radio_box:before{
    background: #808080;
}

.options_wrap label input[type="checkbox"]:checked + .checkbox_box:before{
    background: url('images/icon_set.png') no-repeat;
    background-size: 500px 382px;
    width: 14px;
    height: 15px;
    margin-top: -7px;
    margin-left: -7px;
    background-position: -481px -155px;
}

.options_wrap label .radio_label, .options_wrap label .checkbox_label{
    display:-moz-inline-stack;
    display:inline-block;
    zoom:1;
    *display:inline;
    line-height: 1em;
    cursor: pointer;
    margin-left: 0.5em;
    color: #808080;
    vertical-align: middle;
}

label .radio_box, label .checkbox_box{
    line-height: 1em;
    vertical-align: middle;
    display: table-cell;
    width: 10em;
    padding-left: 1em;
}

.form_element.inline_options .options_wrap label .radio_label, .form_element.inline_options .options_wrap label .checkbox_label{
    width: auto;
    padding-left: 0;
}

/**Log In Styling**/
.login_actions{
    margin-bottom: 2em;
}

.login_actions:after{
    content: '';
    display: block;
    clear: both;
}

.login_actions .form_element label.main{
    display:-moz-inline-stack;
    display:inline-block;
    zoom:1;
    *display:inline;
    margin-bottom: 0;
    cursor: pointer;
}

.login_actions .form_element, .login_actions a{
    display:-moz-inline-stack;
    display:inline-block;
    zoom:1;
    *display:inline;
    margin-bottom: 0;
}

.login_actions  label.main{
    float: right;
}

.login_actions .form_element, .login_actions .field_content{
    float: left;
}

.login_actions a{
    float: right;
    font-weight: 700;
    text-shadow: 0px 2px 0px #fff;
    text-transform: uppercase;
}

#login_box .submit_btn{
    width: 200px;
    text-align: center;
    margin: auto;
    display: block;
}

/**Form Columns**/
form .columns{
    margin-bottom: 2em;
}

.form_element.column{
    margin-bottom: 0;
}

/**Form Submitting and Loading**/
form.submitting{
    position: relative;
}

form.submitting:before{
    position: absolute;
    z-index: 100;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    content: '';
}

.ui-autocomplete-loading{
    background: #fff url('images/input_loader.gif') no-repeat !important;
    background-position: center right 0.5em !important;
}

.form_element.loading:before{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #fff url('images/input_loader.gif') no-repeat !important;
    background-position: center !important;
    content: '';
    display: block;
    z-index: 100;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=50)";
    filter: alpha(opacity=50);
    -moz-opacity: 0.5;
    -khtml-opacity: 0.5;
    opacity: 0.5;
}

/**Tag Fields**/
.form_element ul.tagit{
    padding: 0.132em 0.8em;
    cursor: text;
}

.form_element ul.tagit input{
    -webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
    box-shadow: none !important;
    padding: 0.268em 0em !important;
}

.form_element ul.tagit li{
    font-size: 1em !important;
    color: #000 !important;
    font-weight: 300 !important;    
}

.form_element.display_only ul.tagit{
    padding: 0;
    cursor: default;
}

.form_element.display_only ul.tagit input{
    display: none;
}

form{
    margin-bottom: 2em;
}

form:last-child{
    margin-bottom: 0;
}

/**Uploader**/
.files_area{
    position: relative;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    /*min-height: 300px;*/
}

.dropzone{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    z-index: 0;
    border: 1px dashed #808080;
    display: none;
    margin-top: 1em;
}

.dropzone.disabled{
    display: none;
}

.dropzone p{
    position: absolute;
    top: 50%;
    margin-top: -0.5em;
    width: 100%;
}
.dropzone p:before{
    content: 'Drag ';
}
.dropzone.incoming{
    z-index: 100;
}
.dropzone.over{
    background: #fff;    
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=80)";
    filter: alpha(opacity=80);
    -moz-opacity: 0.8;
    -khtml-opacity: 0.8;
    opacity: 0.8;
}
.dropzone.over p:before{
    content: 'Drop ';
}

:focus {
    outline:none;
}

::-moz-focus-inner {
  border: 0;
}

/******************/
#sticky_submit_bar{
    position: fixed;
    bottom: 0;
    left: 50%;
    width: 100%;
    text-align: right;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    z-index: 6000;
    width: 1250px;
    margin-left: -650px;
    pointer-events: none;
}
body.fullscreen #sticky_submit_bar{
    left: auto;
    right: 5%;
    margin-left: 0;
}
#sticky_submit_bar .submit_btn, #sticky_submit_bar .other_btn{
    background: #005588;
    position: relative;
    -webkit-box-shadow: rgba(0,0,0,0.5) 0px 0px 10px;
    -moz-box-shadow: rgba(0,0,0,0.5) 0px 0px 10px;
    box-shadow: rgba(0,0,0,0.5) 0px 0px 10px;
    behavior: url('external/css/PIE-1.0.0/PIE.htc');
    /*margin-left: 0.5em;*/
    transition: padding;
    -webkit-transition: padding;
    transition-duration: 0.4s;
    -webkit-transition-duration: 0.4s;
    vertical-align: bottom;
    font-size: 2em;
    margin-right: 0.5em;
    pointer-events: auto;
}
#sticky_submit_bar .submit_btn:last-child, #sticky_submit_bar .other_btn:last-child{
    margin-right: 0;
}

#sticky_submit_bar .submit_btn:hover, #sticky_submit_bar .other_btn:hover{
    padding-bottom: 2em;
    color: #fff;
}

#sticky_submit_bar .submit_btn .icon, #sticky_submit_bar .other_btn .icon{
    position: absolute;
    top: 2.2em;
    left: 50%;
    z-index: 100;
}

#sticky_submit_bar .other_btn{
    background: #808080;
}
/**table forms**/
td .form_element input:not([type="checkbox"]):not([type="radio"]):not([type="submit"]), td .form_element textarea, td .form_element select, td .form_element ul.tagit{
    border: 1px solid #dfdad8;
    background: #dfdad8;
    padding-left: 0.5em;
    padding-right: 0.5em;
}

td .form_element .dropdown_field_wrap select{
    padding-right: 2em !important;
}

td .form_element .dropdown_field_wrap:after{
    border-left: 0.6em solid transparent;
    border-right: 0.6em solid transparent;
    border-top: 0.6em solid #808080;
    right: 0.5em;
}

td .form_element.focused .dropdown_field_wrap:after{
    border-bottom: 0.6em solid #808080;
}

/********************/
.options_wrap{
    padding: 0.2em 0;
}

.inline_form_elements label.main{
    display:-moz-inline-stack;
    display:inline-block;
    zoom:1;
    *display:inline;
}

.inline_form_elements .form_element{
    display:-moz-inline-stack;
    display:inline-block;
    zoom:1;
    *display:inline;
    vertical-align: top;
    margin-right: 2em;
}

.inline_form_elements .form_element:last-child{
    margin-right: 0;
}

.form_element.inline_label{
    /*margin-top: 2em;*/
}

.form_element.inline_label label.main{
    margin-bottom: 0;
    margin-right: 1em;
}

.form_element.inline_label label.main, .form_element.inline_label .field_content{
    display:-moz-inline-stack;
    display:inline-block;
    zoom:1;
    *display:inline;
    vertical-align: middle;
}

/*************************************/

#ui-datepicker-div{
    z-index: 9000 !important;
}

.form_element.no_marg{
    margin: 0;
}

.form_element.half_width{
    width: 50%;
    display:-moz-inline-stack;
    display:inline-block;
    zoom:1;
    *display:inline;
    vertical-align: middle;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
.form_element.half_width:nth-child(odd){
    padding-right: 0.2em;
}
.form_element.half_width:nth-child(even){
    padding-left: 0.2em;
}

td .unit_title{
    display:-moz-inline-stack;
    display:inline-block;
    zoom:1;
    *display:inline;
    vertical-align: middle;
    margin-left: 0.5em;
}

/**Advanced Fieldset Styling**/
fieldset.advanced{
    margin-bottom: 2em;
    border-bottom: none;
    padding: 0;
    transition: padding;
    -webkit-transition: padding;
    transition-duration: 0.4s;
    -webkit-transition-duration: 0.4s;
}

fieldset.advanced:last-child{
    margin-bottom: 0;
}

fieldset.advanced legend.advanced_btn{
    cursor: pointer;
    font-weight: 700;
    font-size: 1.14em;
    text-transform: uppercase;
    margin-bottom: 0;
    transition: margin;
    -webkit-transition: margin;
    transition-duration: 0.4s;
    -webkit-transition-duration: 0.4s;
}

fieldset.advanced legend.advanced_btn .icon_wrap{
    margin-right: 0;
}

fieldset.advanced.open{
    padding: 2em 0;
    border-bottom: 1px solid #a0a0a0;
}

fieldset.advanced:not(.open):after{
    border-bottom: none;
}

.form_element.fake input{
    background: none !important;
    border: none !important;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)" !important;
    filter: alpha(opacity=100) !important;
    -moz-opacity: 1 !important;
    -khtml-opacity: 1 !important;
    opacity: 1  !important;
}

.form_element.fake .dropdown_field_wrap select{
    background: none;
    padding: 0 !important;
    border: none;
}

.form_element.fake .dropdown_field_wrap::after{
    display: none;
}

.sales_order_invoice .form_element input:not([type="checkbox"]):not([type="radio"]):not([type="submit"]), .sales_order_invoice .form_element textarea, .sales_order_invoice .form_element select, .sales_order_invoice .form_element ul.tagit{
    border: 1px solid #dfdad8;
    background: #dfdad8;
}

.sales_order_invoice fieldset legend{
    background: #fff;
}

.use_this_address{
    font-size: 0.8em;
    color: #005588;
    cursor: pointer;
    font-weight: 600;
}

.ui_table th.checkbox_column .options_wrap label, .ui_table td.checkbox_column .options_wrap label, .ui_table th.tax_column .options_wrap label, .ui_table td.tax_column .options_wrap label, .column_styled .options_wrap label{
    margin-right: 0;
    display:-moz-inline-stack;
    display:inline-block;
    zoom:1;
    *display:inline;
    float: none;
}

.center_btns{
    text-align: center;
}

.center_btns .custom_btn{
    margin-right: 0.5em;
}

.center_btns .custom_btn:last-child{
    margin-right: 0;
}

textarea.expander_added{
    display: none;
}

.text_expander_display{
    text-overflow: ellipsis;
}
/***********/
.equals_or_tilde .options_wrap .checkbox_box{
    border: none;
    background: none;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    behavior: url('external/css/PIE-1.0.0/PIE.htc');
}

.equals_or_tilde .options_wrap label input[type="checkbox"] + .checkbox_box:before{
    background: url('images/equals_or_tilde.png') no-repeat;
    background-size: 52px 28px;
    background-position: -4px -4px;
    content: '';
    width: 20px;
    height: 20px;
    margin-left: -10px;
    margin-top: -10px;
}

.equals_or_tilde .options_wrap label input[type="checkbox"]:checked + .checkbox_box:before{
    background-position: -28px -4px;
}

@media only screen and (max-width: 1300px) {
    #sticky_submit_bar{
        left: 0;
        width: 100%;
        margin-left: 0;
        padding: 0 2em;
    }
}
@media only screen and (max-device-width: 960px) {
    .options_wrap label input[type="checkbox"]:checked + .checkbox_box:before{
        background-image: url('images/icon_set_x2.png');
    }
    
    .equals_or_tilde .options_wrap label input[type="checkbox"] + .checkbox_box:before{
        background-image: url('images/equals_or_tilde_x2.png');
    }
}
@media only screen and (max-width : 960px){
    .form_element.column{
        margin-bottom: 1em;
    }
}